Bug 187532 - libjs requires execmod
libjs requires execmod
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 13:35 EST by Tim Fenn
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 11:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Fenn 2006-03-31 13:35:04 EST
Description of problem:
Programs requiring libjs (e.g. avidemux) fail if allow_execmod is disabled:

type=AVC msg=audit(1143741920.040:2563): avc:  denied  { execmod } for 
pid=25693 comm="avidemux" name="libjs.so.1" dev=hda3 ino=1612895
scontext=user_u:system_r:unconfined_t:s0 tcontext=system_u:object_r:lib_t:s0
tclass=file

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.2.25-2.fc5
libjs-1.5-2.rhfc5.at (from ATrpms)

How reproducible:
always

Additional info:

the following file_contexts addition fixes the problem:
/usr/lib(64)?/libjs\.so.*            --      system_u:object_r:textrel_shlib_t:s0
Comment 1 Daniel Walsh 2006-04-03 12:10:54 EDT
Fixed in selinux-policy-2.2.29-2.fc5
Comment 3 Daniel Walsh 2006-05-05 11:02:57 EDT
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed

Note You need to log in before you can comment on or make changes to this bug.